Name | Type | Default |
appendTo
|
String
|
'parent'
|
Sets or gets the appendTo property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]="'.main-container'" [appendTo]="'body'"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [disabled]="true"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
distance
|
Number
|
5
|
Sets or gets the distance property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [distance]="12"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
data
|
Any
|
null
|
Sets or gets the data property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [data]='{foo: 'foo', bar: 'bar'}'> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
dropAction
|
enum:DragDropDropAction
|
'default'
|
enum DragDropDropAction { default, none } Sets or gets the dropAction property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]="'.main-container'" [dropAction]="'none'"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
dropTarget
|
Any
|
null
|
Sets or gets the dropTarget property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [dropTarget]=".dropTarget"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
dragZIndex
|
Number
|
99999
|
Sets or gets the dragZIndex property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [dragZIndex]="6"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
feedback
|
enum:DragDropFeedBack
|
'clone'
|
enum DragDropFeedBack { clone, original } Sets or gets the feedback property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]="'.main-container'" [feedback]="'original'"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
initFeedback
|
(feedback?:Any) => Void
|
null
|
Sets or gets the initFeedback property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [initFeedback]="initFeedback"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
opacity
|
Number
|
0.6
|
Sets or gets the opacity property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [opacity]="0.3"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
onDragEnd
|
() => Void
|
null
|
Sets or gets the onDragEnd property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [onDragEnd]="onDragEnd"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
onDrag
|
(data?: Any, position?: Any) => Void
|
null
|
Sets or gets the onDrag property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [onDrag]="onDrag"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
onDragStart
|
(position?: Any) => Void
|
null
|
Sets or gets the onDragStart property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [onDragStart]="onDragStart"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
onTargetDrop
|
(data?: Any) => Void
|
null
|
Sets or gets the onTargetDrop property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [onTargetDrop]="onTargetDrop"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
onDropTargetEnter
|
() => Void
|
null
|
Sets or gets the onDropTargetEnter property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [onDropTargetEnter]="onDropTargetEnter"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
onDropTargetLeave
|
(data?: Any) => Void
|
null
|
Sets or gets the onDropTargetLeave property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [onDropTargetLeave]="onDropTargetLeave"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
restricter
|
enum:DragDropRestricter
|
'document'
|
enum DragDropRestricter { body, document, parent, { left, top, width, height } } Sets or gets the restricter property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
revert
|
Boolean
|
false
|
Sets or gets the revert property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [revert]="true"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
revertDuration
|
Number
|
400
|
Sets or gets the revertDuration property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]=".main-container" [revertDuration]="300" [revert]="true"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
tolerance
|
enum:DragDropTolerance
|
'intersect'
|
enum DragDropTolerance { fit, intersect } Sets or gets the tolerance property.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" [dropTarget]="'.drop-target'" [restricter]="'.main-container'" [tolerance]="'fit'"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent {
|
|
dragStart
|
Event
|
|
This event is triggered when the item is dragged for first time.
Code examples
Bind to the dragStart event of jqxDragDrop.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" (onDragStart)="DragStart($event)" [dropTarget]="'.drop-target'" [restricter]=".main-container"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent { DragStart(event: any): void
|
dragEnd
|
Event
|
|
This event is triggered when the item is dropped.
Code examples
Bind to the dragEnd event of jqxDragDrop.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" (onDragEnd)="DragEnd($event)" [dropTarget]="'.drop-target'" [restricter]=".main-container"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent { DragEnd(event: any): void
|
dragging
|
Event
|
|
This event is triggered while the item is dragging.
Code examples
Bind to the dragging event of jqxDragDrop.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" (onDragging)="Dragging($event)" [dropTarget]="'.drop-target'" [restricter]=".main-container"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent { Dragging(event: any): void
|
dropTargetEnter
|
Event
|
|
This event is triggered when the draggable item is over it's drop target for first time.
Code examples
Bind to the dropTargetEnter event of jqxDragDrop.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" (onDropTargetEnter)="DropTargetEnter($event)" [dropTarget]="'.drop-target'" [restricter]=".main-container"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent { DropTargetEnter(event: any): void
|
dropTargetLeave
|
Event
|
|
This event is triggered when the draggable item leave it's drop target.
Code examples
Bind to the dropTargetLeave event of jqxDragDrop.
import { Component, ViewEncapsulation, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <div class="main-container"> <div id="draggable-parent"> <jqxDragDrop #myDragDrop class="draggable" (onDropTargetLeave)="DropTargetLeave($event)" [dropTarget]="'.drop-target'" [restricter]=".main-container"> </jqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div> `, styles: [` .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5; width: 150px; height: 150px; border: 1px solid #ddd; margin-left: 190px; margin-top: 70px; z-index: 1; } `] }) export class AppComponent { DropTargetLeave(event: any): void
|
|
Name | Return Type | Arguments |

Name | Type | Default |
appendTo
|
string
|
'parent'
|
Sets or gets where will be appended the draggable's feedback.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} appendTo={'body'}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets whether the dragging is disabled.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} disabled={true}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
distance
|
number
|
5
|
Sets or gets the distance required for the cursor to pass befor the drag begins.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} distance={12}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
data
|
any
|
null
|
This property can be used for setting some kind of information transferred with the draggable.
|
dropAction
|
DragDropDropAction
|
'default'
|
DragDropDropAction: "default" | "none"
Sets or gets whether the draggable element will change its position ('default') or not ('none') when the element is dropped.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} dropAction={'none'}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropTarget
|
any
|
null
|
Sets or gets the drop target. The drop target is a DOM element(s) for which jqxDragDrop triggers events when the user drags or drops the draggable element over that element(s). The drop target can be specified by using a selector or an object. If the user drags the draggable element over the drop target, the onDropTargetEnter event will be raised. If the draggable element is inside the drop target and the user drags the element outside the drop target, the onDropTargetLeave event is raised. When the user drops the draggable element over a drop target, the onTargetDrop event is raised.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.dropTarget'}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragZIndex
|
number
|
99999
|
Sets or gets element's z-index when it's dragging.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} dragZIndex={6}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
feedback
|
DragDropFeedBack
|
'clone'
|
DragDropFeedBack: "clone" | "original"
Sets or gets the feedback. The feedback is the object which is actually dragged by the user.
Possible Values:
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} feedback={'original'}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
initFeedback
|
(feedback?:any) => void
|
null
|
Callback which is executing when the feedback is created.
|
opacity
|
number
|
0.6
|
Sets or gets draggable object's opacity when it's dragging.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} opacity={0.3}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
onDragEnd
|
() => void
|
null
|
Callback which is executing when the drag ends.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { onDragEnd: (): any => { alert( 'onDragEnd'); }, restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} onDragEnd={this.state.onDragEnd}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
onDrag
|
(data?: DragDropOnDrag['data'], position?: DragDropOnDrag['position']) => void
|
null
|
Interface DragDropOnDrag { data?: object; position?: object; }
Callback which is executing while dragging.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { onDrag: (data: object, position: object): any => { console.log( 'Position Top: ' + position.top); }, restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} onDrag={this.state.onDrag}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
onDragStart
|
(position?: DragDropOnDragStart['position']) => void
|
null
|
Interface DragDropOnDragStart { position?: object; }
Callback which is executing when drag start.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { onDragStart: (position: object): any => { alert( 'Position Top: ' + position.top); }, restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} onDragStart={this.state.onDragStart}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
onTargetDrop
|
(data?: DragDropOnTargetDrop['data']) => void
|
null
|
Interface DragDropOnTargetDrop { data?: object; }
Callback which is executing when drag ends over the drop target.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { onTargetDrop: (data: object): any => { alert( 'OnTargetDrop'); }, restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} onTargetDrop={this.state.onTargetDrop}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
onDropTargetEnter
|
() => void
|
null
|
Callback which is executing when the draggable enter any of it's drop targets.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { onDropTargetEnter: (): any => { alert( 'onDropTargetEnter'); }, restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} onDropTargetEnter={this.state.onDropTargetEnter}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
onDropTargetLeave
|
(data?: DragDropOnDropTargetLeave['data']) => void
|
null
|
Interface DragDropOnDropTargetLeave { data?: object; }
Callback which is executing when the draggable leave any of it's drop targets.
|
restricter
|
object | 'body' | 'document' | 'parent'
|
'document'
|
Sets or gets dragdrop's restrict area.
Possible Values:
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
revert
|
boolean
|
false
|
Sets or gets whether the draggable element will be reverted to it's original position after drop.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} revert={true}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
revertDuration
|
number
|
400
|
Sets or gets the duration for which the draggable object will be reverted.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'} revertDuration={300} revert={true}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tolerance
|
DragDropTolerance
|
'intersect'
|
DragDropTolerance: "fit" | "intersect"
Sets or gets whether the draggable item is over it's drop target when it's intersecting it or when it's fully inside it's target.
|
|
dragStart
|
Event
|
|
This event is triggered when the item is dragged for first time.
Code examples
Bind to the dragStart event of jqxDragDrop.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } private onDragStart(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragEnd
|
Event
|
|
This event is triggered when the item is dropped.
Code examples
Bind to the dragEnd event of jqxDragDrop.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } private onDragEnd(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dragging
|
Event
|
|
This event is triggered while the item is dragging.
Code examples
Bind to the dragging event of jqxDragDrop.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } private onDragging(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropTargetEnter
|
Event
|
|
This event is triggered when the draggable item is over it's drop target for first time.
Code examples
Bind to the dropTargetEnter event of jqxDragDrop.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } private onDropTargetEnter(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropTargetLeave
|
Event
|
|
This event is triggered when the draggable item leave it's drop target.
Code examples
Bind to the dropTargetLeave event of jqxDragDrop.
/* CSSStylesheet.css */ #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5; width: 120px; height: 120px; position: relative; left: 160px; top: 60px; } .label { padding: 33px; } /* End CSSStylesheet.css */ /* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import './CSSStylesheet.css'; import JqxDragDrop, { IDragDropProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxdragdrop'; class App extends React.PureComponent <{}, IDragDropProps> { private myDragDrop = React.createRef <JqxDragDrop>(); constructor(props: {}) { super(props); this.state = { restricter: { left: -92, top: -92, width: 118, height: 118 } } } public render() { return ( <div id='draggable-parent'> <jqxDragDrop ref= 'myDragDrop' restricter={this.state.restricter} dropTarget={ '.drop-target'}> <div>I can be dragged only inside my parent </div> </jqxDragDrop> <div className='drop-target'> <div className='label'>I am a drop target </div> </div> </div> ); } private onDropTargetLeave(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |

Name | Type | Default |
appendTo
|
String
|
'parent'
|
Sets or gets where will be appended the draggable's feedback.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :appendTo="'body'"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the appendTo property. let appendTo = this.$refs.myDragDrop.appendTo;
|
disabled
|
Boolean
|
false
|
Sets or gets whether the dragging is disabled.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :disabled="true"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the disabled property. let disabled = this.$refs.myDragDrop.disabled;
|
distance
|
Number
|
5
|
Sets or gets the distance required for the cursor to pass befor the drag begins.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :distance="12"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the distance property. let distance = this.$refs.myDragDrop.distance;
|
data
|
Object
|
null
|
This property can be used for setting some kind of information transferred with the draggable.
<template> <jqxDragDrop ref='myDragDrop' :data="data"> <div>Drag me</div> </jqxDragDrop> </template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { data: {foo: 'foo', bar: 'bar'} } } } </script><style> .jqx-draggable > div { width: 50px; height: 50px; border: 1px solid #A67E3A; background-color: #FFC663;
Get the data property. let data = this.$refs.myDragDrop.data;
|
dropAction
|
String
|
'default'
|
Sets or gets whether the draggable element will change its position ('default') or not ('none') when the element is dropped.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :dropAction="'none'"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the dropAction property. let dropAction = this.$refs.myDragDrop.dropAction;
|
dropTarget
|
String | Object
|
null
|
Sets or gets the drop target. The drop target is a DOM element(s) for which jqxDragDrop triggers events when the user drags or drops the draggable element over that element(s). The drop target can be specified by using a selector or an object. If the user drags the draggable element over the drop target, the onDropTargetEnter event will be raised. If the draggable element is inside the drop target and the user drags the element outside the drop target, the onDropTargetLeave event is raised. When the user drops the draggable element over a drop target, the onTargetDrop event is raised.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.dropTarget'"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the dropTarget property. let dropTarget = this.$refs.myDragDrop.dropTarget;
|
dragZIndex
|
Number
|
99999
|
Sets or gets element's z-index when it's dragging.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :dragZIndex="6"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the dragZIndex property. let dragZIndex = this.$refs.myDragDrop.dragZIndex;
|
feedback
|
String
|
'clone'
|
Sets or gets the feedback. The feedback is the object which is actually dragged by the user.
Possible Values:
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :feedback="'original'"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the feedback property. let feedback = this.$refs.myDragDrop.feedback;
|
initFeedback
|
Function
|
null
|
Callback which is executing when the feedback is created.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :dropTarget="'.drop-target'" :initFeedback="initFeedback"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, methods: { initFeedback: function (feedback) { feedback.css( 'background', 'blue'); feedback.css( 'color', 'white'); feedback.css( 'padding', '15px'); feedback.text( 'I am feedback') } } } </script><style> .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the initFeedback property. let initFeedback = this.$refs.myDragDrop.initFeedback;
|
opacity
|
Number
|
0.6
|
Sets or gets draggable object's opacity when it's dragging.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :opacity="0.3"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the opacity property. let opacity = this.$refs.myDragDrop.opacity;
|
onDragEnd
|
Function
|
null
|
Callback which is executing when the drag ends.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :onDragEnd="onDragEnd"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } }, methods: { onDragEnd: function () { alert( 'onDragEnd'); } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the onDragEnd property. let onDragEnd = this.$refs.myDragDrop.onDragEnd;
|
onDrag
|
Function
|
null
|
Callback which is executing while dragging.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :onDrag="onDrag"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } }, methods: { onDrag: function (data, position) { console.log( 'Position Top: ' + position.top); } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the onDrag property. let onDrag = this.$refs.myDragDrop.onDrag;
|
onDragStart
|
Function
|
null
|
Callback which is executing when drag start.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :onDragStart="onDragStart"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } }, methods: { onDragStart: function (position) { alert( 'Position Top: ' + position.top); } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the onDragStart property. let onDragStart = this.$refs.myDragDrop.onDragStart;
|
onTargetDrop
|
Function
|
null
|
Callback which is executing when drag ends over the drop target.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :onTargetDrop="onTargetDrop"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } }, methods: { onTargetDrop: function (data) { alert( 'OnTargetDrop'); } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
|
onDropTargetEnter
|
Function
|
null
|
Callback which is executing when the draggable enter any of it's drop targets.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :onDropTargetEnter="onDropTargetEnter"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } }, methods: { onDropTargetEnter: function () { alert( 'onDropTargetEnter'); } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the onDropTargetEnter property. let onDropTargetEnter = this.$refs.myDragDrop.onDropTargetEnter;
|
onDropTargetLeave
|
Function
|
null
|
Callback which is executing when the draggable leave any of it's drop targets.
<template> <div class="main-container"> <div id="draggable-parent"> <JqxDragDrop class="draggable" :onDropTargetLeave="onDropTargetLeave" :restricter="restricter" :dropTarget="'.drop-target'"> <div class="label">I can be dragged only inside my parent</div> </JqxDragDrop> <div class="drop-target"> <div class="label">I am a drop target </div> </div> </div> </div></template><script> import JqxDragDrop from "jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue"; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: 8, top: 8, width: 247, height: 247 } } }, methods: { onDropTargetLeave: function (data) { alert( 'onDropTargetLeave'); } } }; </script><style> .row { padding: 1px; } .draggable > div { border: 1px solid #bbb; background-color: #C9ECFF; width: 100px; height: 100px; left: 30px; top: 50px; padding: 5px; z-index: 2; } #draggable-parent { background-color: #eeffee; width: 350px; height: 350px; text-align: center; border: 1px solid #eee; float: left; } .main-container { width: 650px; z-index: 0; } .events > div { float: right; padding: 10px; font-family: Tahoma; font-size: 13px; } .label { position: relative; font-family: Verdana; font-size: 11px; color: #000; } .drop-target { background-color: #FBFFB5;
Get the onDropTargetLeave property. let onDropTargetLeave = this.$refs.myDragDrop.onDropTargetLeave;
|
restricter
|
String | Object
|
'document'
|
Sets or gets dragdrop's restrict area.
Possible Values:
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the restricter property. let restricter = this.$refs.myDragDrop.restricter;
|
revert
|
Boolean
|
false
|
Sets or gets whether the draggable element will be reverted to it's original position after drop.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :revert="true"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the revert property. let revert = this.$refs.myDragDrop.revert;
|
revertDuration
|
Number
|
400
|
Sets or gets the duration for which the draggable object will be reverted.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' :restricter="restricter" :dropTarget="'.drop-target'" :revertDuration="300" :revert="true"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the revertDuration property. let revertDuration = this.$refs.myDragDrop.revertDuration;
|
tolerance
|
String
|
'intersect'
|
Sets or gets whether the draggable item is over it's drop target when it's intersecting it or when it's fully inside it's target.
<template> <div id='draggable-parent'> <jqxDragDrop ref='myDragDrop' @dropTargetEnter="onDropTargetEnter($event)" :dropTarget="'.drop-target'" :tolerance="'fit'"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template><script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, methods: { onDropTargetEnter: function (event) { alert( 'DropTargetEntered!') } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 10px; top: 10px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
Get the tolerance property. let tolerance = this.$refs.myDragDrop.tolerance;
|
|
dragStart
|
Event
|
|
This event is triggered when the item is dragged for first time.
Code examples
Bind to the dragStart event of jqxDragDrop.
<template> <div id='draggable-parent'> <jqxDragDrop ref="myDragDrop" @dragStart="onDragStart($event)" :restricter="restricter" :dropTarget="'.drop-target'"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } }, methods: { onDragStart: function (event) { alert( 'do something...'); } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
|
dragEnd
|
Event
|
|
This event is triggered when the item is dropped.
Code examples
Bind to the dragEnd event of jqxDragDrop.
<template> <div id='draggable-parent'> <jqxDragDrop ref="myDragDrop" @dragEnd="onDragEnd($event)" :restricter="restricter" :dropTarget="'.drop-target'"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } }, methods: { onDragEnd: function (event) { alert( 'do something...'); } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
|
dragging
|
Event
|
|
This event is triggered while the item is dragging.
Code examples
Bind to the dragging event of jqxDragDrop.
<template> <div id='draggable-parent'> <jqxDragDrop ref="myDragDrop" @dragging="onDragging($event)" :restricter="restricter" :dropTarget="'.drop-target'"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } }, methods: { onDragging: function (event) { alert( 'do something...'); } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
|
dropTargetEnter
|
Event
|
|
This event is triggered when the draggable item is over it's drop target for first time.
Code examples
Bind to the dropTargetEnter event of jqxDragDrop.
<template> <div id='draggable-parent'> <jqxDragDrop ref="myDragDrop" @dropTargetEnter="onDropTargetEnter($event)" :restricter="restricter" :dropTarget="'.drop-target'"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } }, methods: { onDropTargetEnter: function (event) { alert( 'do something...'); } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
|
dropTargetLeave
|
Event
|
|
This event is triggered when the draggable item leave it's drop target.
Code examples
Bind to the dropTargetLeave event of jqxDragDrop.
<template> <div id='draggable-parent'> <jqxDragDrop ref="myDragDrop" @dropTargetLeave="onDropTargetLeave($event)" :restricter="restricter" :dropTarget="'.drop-target'"> <div>I can be dragged only inside my parent</div> </jqxDragDrop> <div class='drop-target'> <div class='label'>I am a drop target</div> </div> </div></template> <script> import JqxDragDrop from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxdragdrop.vue'; export default { components: { JqxDragDrop }, data: function () { return { restricter: { left: -92, top: -92, width: 118, height: 118 } } }, methods: { onDropTargetLeave: function (event) { alert( 'do something...'); } } } </script><style> #draggable-parent { background-color: lightskyblue; width: 300px; height: 300px; color: dimgray; } .jqx-draggable > div { background-color: lightgreen; position: relative; width: 80px; height: 80px; left: 100px; top: 100px; padding: 5px; z-index: 2; font-family: Verdana; font-size: 11px; } .drop-target { background-color: #FBFFB5;
|
|
Name | Arguments | Return Type |